### Method

# GModule Module name

#### Declaration [src]

    const gchar*
    g_module_name (
      GModule* module
    )

#### Description [src]

Returns the filename that the module was opened with.

If `module` refers to the application itself, “main” is returned.

#### Return value

Type: `const gchar*`

The filename of the module.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.